﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace CurrentSL5
{
    public partial class FixedSmallChange : UserControl, INotifyPropertyChanged
    {
        public FixedSmallChange()
        {
            this.TimelinePeriodStart = new DateTime(2011, 1, 1);
            this.TimelinePeriodEnd = new DateTime(2011, 1, 2);

            this.DataContext = this;

            InitializeComponent();
        }

        public DateTime TimelinePeriodStart { get; set; }

        public DateTime TimelinePeriodEnd { get; set; }

        public event PropertyChangedEventHandler PropertyChanged;

        public TimeSpan CustomSmallChange
        {
            get
            {
                return TimeSpan.FromHours(1);
            }
            set
            {
                this.OnPropertyChanged("CustomSmallChange");
            }
        }

        private void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
